> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List owned collections (paginated)

> Returns all collections in your workspace




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /nfts/ownership/collections
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /nfts/ownership/collections:
    get:
      tags:
        - NFTs
      summary: List owned collections (paginated)
      description: |
        Returns all collections in your workspace
      operationId: listOwnedCollections
      parameters:
        - name: ncwId
          required: false
          in: query
          description: Tenant's Non-Custodial Wallet ID
          schema:
            type: string
        - name: walletType
          required: false
          in: query
          description: Wallet type, it can be `VAULT_ACCOUNT` or `END_USER_WALLET`
          schema:
            default: VAULT_ACCOUNT
            enum:
              - VAULT_ACCOUNT
              - END_USER_WALLET
            type: string
        - name: search
          required: false
          in: query
          description: >-
            Search owned collections. Possible criteria for search: collection
            name, collection contract address.
          schema:
            maximum: 100
            type: string
        - name: pageCursor
          required: false
          in: query
          description: Page cursor to fetch
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Items per page (max 100)
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: sort
          required: false
          in: query
          description: >-
            Sort by param, it can be one param or a list of params separated by
            comma
          schema:
            type: array
            items:
              type: string
              enum:
                - name
        - name: order
          required: false
          in: query
          description: >-
            Order direction, it can be `ASC` for ascending or `DESC` for
            descending
          schema:
            default: ASC
            enum:
              - DESC
              - ASC
            type: string
        - name: status
          required: false
          in: query
          description: Token ownership status
          schema:
            default: LISTED
            enum:
              - LISTED
              - ARCHIVED
            type: string
      responses:
        '200':
          description: ''
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOwnedCollectionsResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ListOwnedCollectionsResponse>> =
            fireblocks.nFTs.listOwnedCollections(nFTsApiListOwnedCollectionsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ListOwnedCollectionsResponse>>
            response = fireblocks.nFTs().listOwnedCollections(ncwId, walletType,
            search, pageCursor, pageSize, sort, order, status);
        - lang: Python
          source: >-
            response = fireblocks.n_f_ts.list_owned_collections(ncw_id,
            wallet_type, search, page_cursor, page_size, sort, order, status);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ListOwnedCollectionsResponse:
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/Paging'
        data:
          type: array
          items:
            $ref: '#/components/schemas/CollectionOwnershipResponse'
    Paging:
      type: object
      properties:
        next:
          type: string
          description: Cursor to the next page
      required:
        - next
    CollectionOwnershipResponse:
      type: object
      properties:
        id:
          type: string
          description: Fireblocks collection id
        name:
          type: string
          description: Collection name
        symbol:
          type: string
          description: Collection symbol
        standard:
          type: string
          description: Collection contract standard
        blockchainDescriptor:
          enum:
            - ETH
            - ETH_TEST3
            - ETH_TEST5
            - ETH_TEST6
            - POLYGON
            - POLYGON_TEST_MUMBAI
            - AMOY_POLYGON_TEST
            - XTZ
            - XTZ_TEST
            - BASECHAIN_ETH
            - BASECHAIN_ETH_TEST3
            - BASECHAIN_ETH_TEST5
            - ETHERLINK
            - ETHERLINK_TEST
            - MANTLE
            - MANTLE_TEST
            - GUN_GUNZILLA
            - GUN_GUNZILLA_TEST
            - ETH_SONEIUM
            - SONEIUM_MINATO_TEST
            - IOTX_IOTEX
            - KLAY_KAIA
            - KLAY_KAIA_TEST
            - APECHAIN
            - APECHAIN_TEST
            - CRONOS
            - CRONOS_TEST
            - ROBINHOOD_CHAIN_TESTNET_TEST
          type: string
          description: Collection's blockchain
        contractAddress:
          type: string
          description: Collection contract standard
      required:
        - id
        - blockchainDescriptor

````